package engine

import (
	"fmt"
)

// TriggerCompaction forces a compaction cycle
func (e *Engine) TriggerCompaction() error {
	if e.closed.Load() {
		return ErrEngineClosed
	}

	// TODO: Integrate with storage.CompactionManager when implemented
	return fmt.Errorf("compaction not yet implemented in refactored engine")
}

// CompactRange forces compaction on a specific key range
func (e *Engine) CompactRange(startKey, endKey []byte) error {
	if e.closed.Load() {
		return ErrEngineClosed
	}

	// TODO: Integrate with storage.CompactionManager when implemented
	return fmt.Errorf("range compaction not yet implemented in refactored engine")
}

// GetCompactionStats returns statistics about the compaction state
func (e *Engine) GetCompactionStats() (map[string]interface{}, error) {
	if e.closed.Load() {
		return nil, ErrEngineClosed
	}

	// TODO: Integrate with storage.CompactionManager when implemented
	return map[string]interface{}{
		"enabled": false,
		"status": "not implemented in refactored engine",
	}, nil
}