package sstable

import (
	"bytes"
	"fmt"
	"time"
)

// KeyEqual checks if two byte slices are equal
func KeyEqual(a, b []byte) bool {
	return bytes.Equal(a, b)
}

// GetFilename returns the formatted SSTable filename
func GetFilename(level, sequence, timestamp uint64) string {
	if timestamp == 0 {
		timestamp = uint64(time.Now().UnixNano())
	}
	return fmt.Sprintf("%d_%06d_%020d.sst", level, sequence, timestamp)
}