package transaction

import (
	"github.com/KevoDB/kevo/pkg/common"
)

// TransactionMode defines the transaction access mode (ReadOnly or ReadWrite)
type TransactionMode int

const (
	// ReadOnly transactions only read from the database
	ReadOnly TransactionMode = iota

	// ReadWrite transactions can both read and write to the database
	ReadWrite
)

// For backward compatibility, re-export the Transaction interface
type Transaction = common.Transaction
